The future of incentives is agent ready. See what we're building.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/categories \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "cat_0b5f49fb31c3bf6ab0",
"name": "Sixth",
"hierarchy": 6,
"created_at": "2022-07-13T06:21:36.852Z",
"object": "category"
},
{
"id": "cat_0b5f49e6e1ce5bd2ba",
"name": "Fifth",
"hierarchy": 5,
"created_at": "2022-07-13T06:21:16.039Z",
"object": "category"
},
{
"id": "cat_0b5f49deafce5bd2b5",
"name": "Fourth",
"hierarchy": 4,
"created_at": "2022-07-13T06:21:07.662Z",
"object": "category"
},
{
"id": "cat_0b5f49d45c43bf6a99",
"name": "Third",
"hierarchy": 3,
"created_at": "2022-07-13T06:20:57.094Z",
"object": "category"
},
{
"id": "cat_0b5f3f9881ce5bccb6",
"name": "Second",
"hierarchy": 2,
"created_at": "2022-07-13T05:36:14.355Z",
"object": "category"
},
{
"id": "cat_0b53bc388dc2f108ba",
"name": "First",
"hierarchy": 1,
"created_at": "2022-07-04T06:58:57.734Z",
"object": "category"
}
],
"total": 6
}List all categories.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/categories \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "cat_0b5f49fb31c3bf6ab0",
"name": "Sixth",
"hierarchy": 6,
"created_at": "2022-07-13T06:21:36.852Z",
"object": "category"
},
{
"id": "cat_0b5f49e6e1ce5bd2ba",
"name": "Fifth",
"hierarchy": 5,
"created_at": "2022-07-13T06:21:16.039Z",
"object": "category"
},
{
"id": "cat_0b5f49deafce5bd2b5",
"name": "Fourth",
"hierarchy": 4,
"created_at": "2022-07-13T06:21:07.662Z",
"object": "category"
},
{
"id": "cat_0b5f49d45c43bf6a99",
"name": "Third",
"hierarchy": 3,
"created_at": "2022-07-13T06:20:57.094Z",
"object": "category"
},
{
"id": "cat_0b5f3f9881ce5bccb6",
"name": "Second",
"hierarchy": 2,
"created_at": "2022-07-13T05:36:14.355Z",
"object": "category"
},
{
"id": "cat_0b53bc388dc2f108ba",
"name": "First",
"hierarchy": 1,
"created_at": "2022-07-04T06:58:57.734Z",
"object": "category"
}
],
"total": 6
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Returns a dictionary of category objects.
Response body schema for GET v1/categories.
The type of the object represented by JSON. This object stores information about categories in a dictionary.
list Identifies the name of the attribute that contains the array of category objects.
data Show child attributes
Total number of categories.
Was this page helpful?